Subject: Re: cassini driver hw checksum errors with vlans

From: Laszlo Attila Toth <[email-masked]>
Date: Tue, 04 Dec 2007 15:08:53 +0100

Laszlo Attila Toth wrote:
> When we use cassini driver without VLANs, it works as expected but when 
> about 100 VLANs are configured on this interface, the hardware checksum 
> fails.

I tried it that I "disable" the checksum on the hardver side, in fact, I 
used CHECKSUM_NONE instead of CHECKSUM_HW but in this case the driver 
allocated all available memory after receiving a few hundred MiB data.

Attila